/* CYANOBACTERIA.CSS v1.1 */
/* HTML/CSS layout template from https://ribo.zone/free/layouts/ */
/* last updated: june 28, 2026 */

/* start light mode styling */
	:root {
		--text: darkslategrey;
		--border: white;
		--accent: teal;
		--bg: #dce3e1;
		--gradient-top: #FAF8E7;
		--gradient-bottom: #FAF8E7;
	}
	header {
		background-image: url('yuji_banner.jpeg');
	}
/* end light mode styling */


/* start dark mode styling 
  @media (prefers-color-scheme: dark) {
	  :root {
		  --text: white;
		  --border: #5a7678;
		  --accent: #74C365;
		  --bg: rgb(0,60,60,.8);
		  --gradient-bottom: rgb(0, 50, 60);
		  --gradient-top: darkslategrey;
		  a:link { color: lightblue; }
	  }
	  header {
		  background: url('../../../microscopy/dolichospermum.png');
		}
	}
   end dark mode styling */


* { 
	box-sizing: border-box;
	scrollbar-color:  var(--border) var(--gradient-bottom);
}

html {
	overscroll-behavior: none;
}

body {
	padding: 10px;
	font-family: 'MS PGothic', sans-serif;
	color: var(--text);

	/* page background pattern 
  background-color: var(--gradient-top);
	background-image:  linear-gradient(30deg, var(--bg) 12%, transparent 12.5%, transparent 87%, var(--bg) 87.5%, var(--bg)), linear-gradient(150deg, var(--bg) 12%, transparent 12.5%, transparent 87%, var(--bg) 87.5%, var(--bg)), linear-gradient(30deg, var(--bg) 12%, transparent 12.5%, transparent 87%, var(--bg) 87.5%, var(--bg)), linear-gradient(150deg, var(--bg) 12%, transparent 12.5%, transparent 87%, var(--bg) 87.5%, var(--bg)), linear-gradient(60deg, var(--bg) 25%, transparent 25.5%, transparent 75%, var(--bg) 75%, var(--bg)), linear-gradient(60deg, var(--bg) 25%, transparent 25.5%, transparent 75%, var(--bg) 75%, var(--bg));
	background-size: 20px 35px;
	background-position: 0 0, 0 0, 10px 18px, 10px 18px, 0 0, 10px 18px;*/
	background-image: url('home.jpeg');
	background-size: 100%;
}


.container {
	max-width: 55rem;
	margin: 5vw auto 12px auto;
	border: 6px ridge var(--border);
	outline: 3px solid var(--gradient-top);
	outline-offset: 4px;
	border-radius: 10px;
	display: flex;
	flex-wrap: wrap;
	padding: 5px;
	gap: 5px;

	/* container background pattern */
	background-color: var(--gradient-bottom);
	background-image: url('pink.jpeg')
	/* repeating-radial-gradient( circle at 0 0, transparent 0, var(--gradient-bottom) 9px ), repeating-linear-gradient( var(--bg), var(--bg)); */
}

/* these control the column widths */
.small { flex: 1 1 9%; }
.large { flex: 1 1 82%; }
.full { flex: 1 1 100%; }
.half { flex: 1 1 49%; }

header {
	background-size: cover;
	background-position: center;
	width: 100%;
	height: 120px; /* change banner height here*/
	border: 2px ridge var(--border);
	border-radius: 5px;
	position: relative;
}

header span {
	font-size: 2.5rem;
	position: absolute;
	bottom: 0;
	right: 10px;
	margin: 10px;
	font-weight: bold;
	text-shadow: 1px 1px var(--text),
		-1px 1px var(--text),
		1px -1px var(--accent),
		-1px -1px var(--accent);
	color: var(--gradient-top);
}

nav {
	border: 2px ridge var(--border);
	border-radius: 5px;
	padding: 5px;
	background-image: url('clover.jpeg')
	/* background: linear-gradient(var(--gradient-top),var(--gradient-bottom)); */
}

nav div {t
	text-align: center;
	font-size: 1.25rem;
	margin: 5px 5px 10px 5px;
}

.button {
  color: black;
  padding: 12px 2px 10px 18px;
  border-image-slice: 20 11 20 19 fill;
  border-image-width: 20px 11px 20px 19px;
  border-image-repeat: repeat round;
  border-style: solid;
  border-color: transparent;
  image-rendering: pixelated;
  border-image-source: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADEAAABoCAMAAABvw+gRAAAALVBMVEUAAADu7u6qqqqZmZmIiIh3d3e7u7vMzMz////d3d1mZmZVVVX+/v7v7+/w8PCGxkBUAAAAAXRSTlMAQObYZgAAA+lJREFUeNqNWAmC2zAINKeM4u3/n9tYK2yTcdzSY3UwGhAINlkuQiyibzE1MxbTfcbMsq/zAmLmjda30HqVoKAIFzWVqq9TowAo50TRxPQK8PVB6JfN9YT0+KJaOZtqYQAXQMjzArRq01coif1SXJZAtW6RciLy5EqFh/ySyPosiTwQ1nLtmxN0DmIgwCS6mJIbubUHnv/LqASdiHLoQ2j6noGw+yTTj3koM2fiIQsiVjJ+i9Izx8gsN7N4o0c4Wf9l1RSLHTDwbRhU4k3HSuiCorfBe0A8Jw1JvnF1nwD3p3dC+qtvlOOS+/gGaGhxXOGvuCsOlOPGuxmHV8YqVFyGSEZBpM5TbpFC7n59IoTZTnAyJvVAmJSTKgBhmlcF5xXi6oecm43biiyfVvWW88ZhIQ6xq9y6+GG/Wx8t4VAgoBgczq4iKpwFUqAjlPvF3DXHayB8UdaXpc/G0KoSlUlyWHPhNq3iewfynwyCNobTKH+qqUPNKCij+VgYqFSfMWUT8+IrkBHtCIYw05xuP7f1yhyOTNn+lMeViO6g/pCP80XNtTQuviETIQ/PCEOSHA9JXnED0dNMINmgWtCMR3I24ZbocVVo5ERMCDfrTaFElVnIbpVTRKwrL8NEPVQ2uOGs1Natt2h9pmIrRmHnBOHTig0K3PTDupkdWB70J0ktPiOvwj1iGIUtKmnoEvPe5jzc8p0frg8a+shdaxkC526unIdu23Qd8or5mDX104afP9tHRIhmtjdaUQhvl2o3oMsrqBGkGnmdl0PQyE4OrHD81MaAZlpFX5Q2RPF8g8X+vF3wPa16HYRdXz5hebvFtUTQK46sZLG1eF6Js7bzi47GwOyQVal/7R+NTTJ15fJsf2oVzW5QxbnWROiDz4ihXSMryyLcTbuqTYSu9UVVGuKzIgY7eA427Rx89nNpHsqoRReK0aPOnTem1tMNKIiXQYL0xRGqiEVLJa4UKJmJqV9GQEHDj9o/qOps0KUGggnduO2cNN+5ciqTd/7wfINy/UZ4m83Yhd27zJ2E/FTmgciayCNJMuYglAiPufDaEdDkAKULv4K5RfMJWASqCtSShaf2RBR9EDs12fGzAXKQ5jOSFlK/PrgH0tBqHDQyFykQxTsgScO1e5RESlvq5ygG5hsfKBECjQ9Ldpk3KRyghGvB+XsJnI7jk6Ond9ipsOa77xztyaRKHeJLeYQAADfU74IWqUD0eUgbiOkI3Z9dQOQzrfReAx0Jc/gu6vkLE1b4NgqOLUuhgp9s8NGdnE1tOaXrqRr3WFZdipixRwRFEBGtFOuYrWPWWNh0ARFRURFR3Uc2f8r47yD4C5YqfMcto41mAAAAAElFTkSuQmCC");
}

textarea {
    width: 100px;
    height: 50px;
    margin: 5px 10px;
    resize: none;
    font-size: 70%;
    border-color: rgb(155, 155, 155, 0.5);
    scrollbar-color: rgb(155, 155, 155, 0.5) rgb(155, 155, 155, 0.2);
    opacity: 0.9;
}

nav a {
	display: block;
	margin: 5px;
	background: linear-gradient(to right,var(--bg),var(--gradient-bottom));
	border-radius: 5px;
	padding: 2px 7px;
	text-decoration: none;
}

nav a:link, nav a:visited { 
	color: var(--text);
}

nav a:hover, nav a:focus {
	background: linear-gradient(to right,var(--bg), var(--gradient-bottom), var(--gradient-top));
}

/* optional button styling like in the preview */
div.small > img {
	display: block;
	margin: 5px auto;
	border:2px ridge var(--border);
	border-radius: 5px;
}

section {
	border: 2px ridge var(--border);
	border-radius: 5px; 
	background: linear-gradient(var(--gradient-top),var(--gradient-bottom));
	padding: 5px;
}

#small2 {
  background-image: url('green_polka_dots.jpeg');
}

.full {
  background-image: url('green_polka_dots.jpeg');
}

.marquee {
  height: 60px;
  width: 835px;

  overflow: hidden;
  position: relative;
}

.marquee div {
  display: block;
  width: 200%;
  height: 55px;

  position: absolute;
  overflow: hidden;

  animation: marquee 20s linear infinite;
}

.marquee span {
  float: left;
  width: 50%;
}

#stamps {
    width: 2400px;
    height: auto;
    padding-top: 0px;
    margin-top: 0px;
}

.marquee-container:hover {
  animation-play-state: paused;
}

@keyframes marquee {
  0% { left: 0; }
  100% { left: -100%; }
}


#half1 {
  background-color: white;
}

#half2 {
  background-image: url('Mikochi y Hakumei.jpeg');
  background-size: cover;
}

#half3 {
  background-image: url('Mikochi y Hakumei.jpeg');
  background-size: cover;
}

footer {
	text-align: center;
	margin-bottom: 5vw;
	font-size: 0.8rem;
}
footer a { 
	text-decoration: none;
}


h1, h2, h3, h4, h5, h6, p  { 
	margin: 5px;
	line-height: 1.2;
}
h1 { 
	font-size: 1.4rem;
	letter-spacing: 2px;
	font-weight: normal;
	text-align: center;
	border-bottom: 2px ridge var(--border);
	padding-bottom: 5px;
}
h2 { 
	font-size: 1.25rem;
	font-weight: normal;
	text-align: center;
}
h3 { 
	font-size: 1.1rem;
}
h4 { 
	font-size: 1rem;
	color: var(--accent);
	padding-left: 12px;
}

/* prevents overflow on smaller screens */
img { max-width: 100%; }
pre { overflow-x: auto; }

.butterfly {
	font-size: 14px;
	font-family: 'MS PGothic', sans-serif;
  color: black;
  border-image-slice: 70 61 46 61 fill;
  border-image-width: 70px 61px 46px 61px;
  border-image-repeat: round;
  border-style: solid;
  border-color: transparent;
  border-image-source: url("shockabsorber_pink.png");
  
  padding: 20px 5px 50px 40px;
  margin: 5px 10px;
  min-height: 200px;
  height: 30px;
  width: calc(100% - 20px);
}

.diary {
  padding: 18px;
  height: 135px;
  width: 330px;
  overflow: auto;
  resize: none;
  border-color: rgb(155, 155, 155, 0.5);
  scrollbar-color: rgb(155, 155, 155, 0.5) rgb(155, 155, 155, 0.2);
}
  
.about {
  border: 4px ridge var(--border);
  border-radius: 5px;
  height: 300px;
  width: 350px;
  background-image: url('doggies.jpeg');
  background-size: 350px 280px;
}

a:hover, a:focus {
	font-style: italic;
}
a:visited {
	color: var(--accent);
}


